Skip to main content
GET
/
v1
/
orders
Go (SDK)
package main

import(
	"context"
	"os"
	polargo "github.com/polarsource/polar-go"
	"github.com/polarsource/polar-go/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := polargo.New(
        polargo.WithSecurity(os.Getenv("POLAR_ACCESS_TOKEN")),
    )

    res, err := s.Orders.List(ctx, operations.OrdersListRequest{
        OrganizationID: polargo.Pointer(operations.CreateOrdersListQueryParamOrganizationIDFilterStr(
            "1dbfc517-0bbf-4301-9ba8-555ca42b9737",
        )),
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.ListResourceOrder != nil {
        for {
            // handle items

            res, err = res.Next()

            if err != nil {
                // handle error
            }

            if res == nil {
                break
            }
        }
    }
}
{
  "items": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "status": "pending",
      "paid": true,
      "subtotal_amount": 123,
      "discount_amount": 123,
      "net_amount": 123,
      "tax_amount": 123,
      "total_amount": 123,
      "applied_balance_amount": 123,
      "due_amount": 123,
      "refunded_amount": 123,
      "refunded_tax_amount": 123,
      "currency": "<string>",
      "billing_reason": "purchase",
      "billing_name": "<string>",
      "billing_address": {
        "country": "AD",
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "city": "<string>",
        "state": "<string>"
      },
      "invoice_number": "<string>",
      "is_invoice_generated": true,
      "customer_id": "<string>",
      "product_id": "<string>",
      "discount_id": "<string>",
      "subscription_id": "<string>",
      "checkout_id": "<string>",
      "metadata": {},
      "platform_fee_amount": 123,
      "platform_fee_currency": "usd",
      "customer": {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "metadata": {},
        "email_verified": true,
        "type": "individual",
        "name": "John Doe",
        "billing_address": {
          "country": "AD",
          "line1": "<string>",
          "line2": "<string>",
          "postal_code": "<string>",
          "city": "<string>",
          "state": "<string>"
        },
        "tax_id": {
          "[0]": "<string>"
        },
        "organization_id": "<string>",
        "deleted_at": "2023-11-07T05:31:56Z",
        "avatar_url": "<string>",
        "external_id": "usr_1337",
        "email": "customer@example.com",
        "locale": "<string>"
      },
      "product": {
        "metadata": {},
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "trial_interval": "day",
        "trial_interval_count": 123,
        "name": "<string>",
        "description": "<string>",
        "visibility": "draft",
        "recurring_interval": "day",
        "recurring_interval_count": 123,
        "is_recurring": true,
        "is_archived": true,
        "organization_id": "<string>"
      },
      "discount": {
        "duration": "once",
        "type": "fixed",
        "amount": 123,
        "currency": "<string>",
        "amounts": {},
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "metadata": {},
        "name": "<string>",
        "code": "<string>",
        "starts_at": "2023-11-07T05:31:56Z",
        "ends_at": "2023-11-07T05:31:56Z",
        "max_redemptions": 123,
        "redemptions_count": 123,
        "organization_id": "<string>"
      },
      "subscription": {
        "metadata": {},
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "amount": 123,
        "currency": "<string>",
        "recurring_interval": "day",
        "recurring_interval_count": 123,
        "status": "incomplete",
        "current_period_start": "2023-11-07T05:31:56Z",
        "current_period_end": "2023-11-07T05:31:56Z",
        "trial_start": "2023-11-07T05:31:56Z",
        "trial_end": "2023-11-07T05:31:56Z",
        "cancel_at_period_end": true,
        "canceled_at": "2023-11-07T05:31:56Z",
        "started_at": "2023-11-07T05:31:56Z",
        "ends_at": "2023-11-07T05:31:56Z",
        "ended_at": "2023-11-07T05:31:56Z",
        "customer_id": "<string>",
        "product_id": "<string>",
        "discount_id": "<string>",
        "checkout_id": "<string>",
        "customer_cancellation_reason": "customer_service",
        "customer_cancellation_comment": "<string>",
        "seats": 123
      },
      "items": [
        {
          "created_at": "2023-11-07T05:31:56Z",
          "modified_at": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "label": "<string>",
          "amount": 123,
          "tax_amount": 123,
          "proration": true,
          "product_price_id": "<string>"
        }
      ],
      "description": "<string>",
      "seats": 123,
      "custom_field_data": {}
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://polar.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

product_id

Filter by product ID. The product ID.

product_billing_type

Filter by product billing type. recurring will filter data corresponding to subscriptions creations or renewals. one_time will filter data corresponding to one-time purchases.

Available options:
one_time,
recurring
discount_id

Filter by discount ID.

customer_id

Filter by customer ID. The customer ID.

external_customer_id

Filter by customer external ID. The customer external ID.

checkout_id

Filter by checkout ID.

subscription_id

Filter by subscription ID. The subscription ID.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
status,
-status,
invoice_number,
-invoice_number,
amount,
-amount,
net_amount,
-net_amount,
customer,
-customer,
product,
-product,
discount,
-discount,
subscription,
-subscription
metadata
MetadataQuery · object

Filter by metadata key-value pairs. It uses the deepObject style, e.g. ?metadata[key]=value.

Response

Successful Response

items
Order · object[]
required
pagination
Pagination · object
required